#ifndef TRIGGER_SUMMARY_H
#define TRIGGER_SUMMARY_H

#include <TQObject.h>
#include <RQ_OBJECT.h>
#include <TGNumberEntry.h>
#include <TGButton.h>
#include <TGComboBox.h>
#include <TThread.h>
#include <TGLabel.h>
#include "ClassDigitizer.h"
#include "macro.h"

class TGWindow;
class TGMainFrame;

class TriggerSummary{
  RQ_OBJECT("TriggerSummary")
  private:
    TGMainFrame * fMain;

    static TGTextEntry * txtTrigger[MaxNBoards][MaxNChannels];
    static TGTextEntry * txtThresholdValue[MaxNBoards][MaxNChannels];
    static TGTextEntry * txtThreshold[MaxNBoards][MaxNChannels];

    TThread * thread;
    static bool updateFlag;
    static TGNumberEntry * numUpdateTime;

    static unsigned short value[MaxNBoards][MaxNChannels];
    
  public:
    TriggerSummary(const TGWindow *p, UInt_t w, UInt_t h);
    virtual ~TriggerSummary();
  
    void CloseWindow() { delete this;}
    
    static void * UpdateTriggerRate(void *ptr);

    void SetThreshold();
    void SetThreshold(int boardID, int ch, unsigned short val) { value[boardID][ch] = val; }
};


#endif
